{% extends "base.html" %}
{% block page_content %}


<div class="container">

    <div class="jumbotron jumbotron-fluid bg-light">
          <div class="container text-center">
            <h1 class="display-4 ">Blog Index</h1>
            <p class="lead">This is a modified jumbotron that occupies the entire horizontal space of its parent.</p>
          </div>
    </div>
     <div class="input-group mb-4"><input type="text" class="form-control" aria-label="Sizing example input"></div>
     <hr>



    {% for post in posts %}
    <div class="card mb-3">
    
        <div class="card-body">
        <h2 class="card-title"><a href="{% url 'blog_detail' post.pk%}">{{ post.title }}</a></h2>
            <p class="card-text">{{ post.content | safe | slice:":250" }}...</p>
            <p class="card-text"> {% for category in post.categories.all %}<small class="text-muted"> #{{ category.name }}</small>{% endfor %}</p>
    </div>
    </div>
       {% endfor %}


</div>
{% endblock %}